# RTC DEMO

This is a simple example that utilizes mikroSDK 2.0 RTC driver library. In this demo, we demonstrate how to configure and enable RTC module and use its functionalities like start, stop, set_time, reset and system_reset.

- **Authors**
  - [@MikroE](https://github.com/MikroElektronika)
  - [@huchonar](https://github.com/huchonar)
  - [@juickar‌](http://github.com/juickar‌)
  - [@viziergr](https://www.github.com/viziergr)
  - [@aymericbiard](https://github.com/aymericbiard)
- **Version**     : 2.0.0.7
- **Date**        : July 2024.

---

## Hardware support

- Plug in a USB Type C cable into USB-UART port.
  - ![image](https://download.mikroe.com/images/mikrosdk/v2/demos/demouart/demo_uart_cable.png)
- Alternatively, place the USB UART click in a mikroBUS socket and change TX and RX pins in code. In this case, you'll need to connect a USB Mini-B cable directly to the click.
  - ![image](https://download.mikroe.com/images/mikrosdk/v2/demos/demouart/demo_uart_click.png)

## Software Support

We provide demo code for demonstrating the usage of functions contained in RTC driver library. To run this example, follow these steps:

1. Install the package from Package manager.
2. Open example.
3. It will take you to setups.
4. Choose desired compiler and click on Advanced.
5. Choose desired output and click on Save.
6. Proceed with selecting your Board, MCU, and programmer/debugger tool.
7. Click Finish.
8. Follow TODO comments in MACROS section to set up project.
9. If you selected Aplication output in step 5. Click on **Debug**.
10. Time will apear in Aplication output and will be updated depending on what you set in step 8.
11. If you selected UART in step 5. Click on **Flash**.
12. Go to Tools->UART Terminal.
13. Click on Options, select adequate Port and set Baud rate to 115200.
14. Click on Configure and then Connect.
15. Time will apear in UART terminal and will be updated depending on what you set in step 8.

---
